.\"	$NetBSD: aue.4,v 1.15 2004/01/05 04:41:06 schmonz Exp $
.\"
.\" Copyright (c) 1997, 1998, 1999
.\"     Bill Paul <wpaul@ee.columbia.edu>. All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"     This product includes software developed by Bill Paul.
.\" 4. Neither the name of the author nor the names of any co-contributors
.\"    may be used to endorse or promote products derived from this software
.\"   without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY Bill Paul AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL Bill Paul OR THE VOICES IN HIS HEAD
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
.\" THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" FreeBSD: src/share/man/man4/aue.4,v 1.2 2000/01/07 22:18:47 wpaul Exp
.\"
.Dd January 5, 2004
.Dt AUE 4
.Os
.Sh NAME
.Nm aue
.Nd ADMtek AN986 and AN8511 Pegasus USB Ethernet driver
.Sh SYNOPSIS
.Cd "aue*   at uhub?"
.Cd "ukphy* at mii?"
.Sh HARDWARE
The
.Nm
driver supports the following adapters:
.Pp
.Bl -tag -width Dv -offset indent -compact
.It Tn @Home USB 10/100
.It Tn Abocom DSB650TX
.It Tn Billionton Systems USB100
.It Tn Compaq HNE-200
.It Tn Corega FEther USB-TX
.It Tn Corega FEther USB-TXS
.It Tn D-Link DSB-650
.It Tn D-Link DSB-650TX
.It Tn D-Link DSB-650TX-PNA
.It Tn I/O DATA USB ETTX
.It Tn Hawking UF100
.It Tn Kingston KNU101TX
.It Tn LinkSys USB100TX
.It Tn LinkSys USB100H1
.It Tn LinkSys USB10TA
.It Tn Melco Inc. LU-ATX
.It Tn Microsoft MN110
.It Tn SOHOware NUB100
.It Tn SMC 2202USB
.It Tn SMC 2206USB/ETH
.El
.Sh DESCRIPTION
The
.Nm
driver provides support for USB
.Tn Ethernet
adapters based on the ADMtek AN986 Pegasus and AN8511 Pegasus II chipsets.
.Pp
The Pegasus contains a 10/100
.Tn Ethernet
MAC with MII interface and is designed to work with both
.Tn Ethernet
and HomePNA transceivers.  Although designed to interface with
100Mbps peripherals, the existing USB standard specifies a maximum
transfer speed of 12Mbps.  Users should therefore not expect to actually
achieve 100Mbps speeds with these devices.
.Pp
The Pegasus supports a 64-bit multicast hash table, single perfect
filter entry for the station address and promiscuous mode.  Packets are
received and transmitted over separate USB bulk transfer endpoints.
.Pp
The
.Nm
driver supports the following media types:
.Pp
.Bl -tag -width xxxxxxxxxxxxxxxxxxxx
.It autoselect
Enable automatic selection of the media type and options.  The user can
manually override the automatically selected mode by adding media options to
the
.Pa /etc/rc.conf
file.
.It 10baseT/UTP
Set 10Mbps operation.  The
.Ar mediaopt
option can also be used to enable
.Ar full-duplex
operation.  Not specifying
.Ar full duplex
implies
.Ar half-duplex
mode.
.It 100baseTX
Set 100Mbps (fast
.Tn Ethernet )
operation.  The
.Ar mediaopt
option can also be used to enable
.Ar full-duplex
operation.  Not specifying
.Ar full duplex
implies
.Ar half-duplex
mode.
.El
.Pp
The
.Nm
driver supports the following media options:
.Pp
.Bl -tag -width xxxxxxxxxxxxxxxxxxxx
.It full-duplex
Force full duplex operation.  The interface will operate in half duplex mode
if this media option is not specified.
.El
.Pp
For more information on configuring this device, see
.Xr ifconfig 8 .
.Sh DIAGNOSTICS
.Bl -diag
.It "aue%d: watchdog timeout"
A packet was queued for transmission and a transmit command was
issued, however the device failed to acknowledge the transmission
before a timeout expired.
.It "aue%d: no memory for rx list"
The driver failed to allocate an mbuf for the receiver ring.
.El
.Sh SEE ALSO
.Xr arp 4 ,
.Xr netintro 4 ,
.Xr usb 4 ,
.Xr ifconfig 8
.Rs
.%T ADMtek AN986 data sheet
.%O http://www.admtek.com.tw
.Re
.Sh HISTORY
The
.Nm
device driver first appeared in
.Fx 4.0 ,
and in
.Nx 1.5 .
.Sh AUTHORS
The
.Nm
driver was written by
.An Bill Paul
.Aq wpaul@ee.columbia.edu .
